com.icesoft.faces.component.panelseries

## Class PanelSeries

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - com.icesoft.faces.component.panelseries.UISeries
            - - com.icesoft.faces.component.panelseries.PanelSeries

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class PanelSeries
      extends UISeries

  PanelSeries is a JSF component class representing an ICEfaces panelSeries.

  The panelSeries component provides a mechanism for dynamically generating a series of repeating child-components within a panel. This component renders its child components in an iterative fashion similar to way the dataTable component renders data rows. However, the panelSeries component is more flexibile in that it can render a series of arbitrarily complex child components. The dataset can be defined and used by implementing the value and var attributes respectively.

  By default this component is rendered by the "com.icesoft.faces.PanelSeriesRenderer" renderer type.
  Version:
    beta 1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlDataTable

      `javax.faces.component.html.HtmlDataTable.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getStyle()` Set the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Set the value of the `styleClass` property.
    `protected void` | `restoreChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `protected void` | `saveChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.

    - ### Methods inherited from class com.icesoft.faces.component.panelseries.UISeries

      `getValue, isRendered, synchWithPaginator, wrapDataModel`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `broadcast, encodeBegin, ensureFirstRowInRange, getClientId, getContainerClientId, getDataModel, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, iterate, processDecodes, processUpdates, processValidators, queueEvent, restoreChildrenState, restoreChildState, restoreSeriesState, saveChildrenState, saveChildState, saveSeriesState, setDataModel, setId, setRowIndex, setValue, setValueBinding, setVar, setVarStatus, visitTree`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getDefaultEventName, getDir, getEventNames, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFirst, getFooter, getHeader, getRows, invokeOnComponent, isRowStatePreserved, markInitialState, setFirst, setFooter, setHeader, setRows, setRowStatePreserved, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelSeries

          public PanelSeries()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Set the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        style class property value.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### getStyle

          public java.lang.String getStyle()

      Set the value of the `style` property.

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        style property value.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlDataTable`

    - #### restoreChild

          protected void restoreChild(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent uiComponent)

      Overrides:
        `restoreChild` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveChild

          protected void saveChild(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent uiComponent)

      Overrides:
        `saveChild` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.icefaces.impl.component.UISeriesBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.